Katello::Errors::Pulp3Error: value too long for type character varying(255)

Problem:
We already use Foreman/Katello for a while without any problems for our hosts with rpm products.
Now we need also to apply deb-products for some hosts.
Creating and syncing products/repos went well for Ubuntu 20LTS, Zabbix 5.2 and the Foreman Client (from https://apt.atix.de).
But for our Bacula Enterprise Edition product the sync ends with the following message:

Katello::Errors::Pulp3Error: value too long for type character varying(255)

See log-details below.

https://www.baculasystems.com/dl/< user >-< password >/debs/bin/12.8.1/focal-64/dists/focal/main/binary-amd64/

The file Packages contains the correct location of all the deb-packages, example:

Package: bacula-enterprise-cdp-plugin
Architecture: amd64
Version: 12.8.1-21063015
Priority: optional
Section: admin
Source: bacula-enterprise
Maintainer: Bacula Systems support@baculasystems.com
Installed-Size: 886
Pre-Depends: debconf (>= 1.4.30)
Depends: bacula-enterprise-common (= 12.8.1-21063015), bacula-enterprise-client (= 12.8.1-21063015)
Filename: dists/focal/main/binary-amd64/bacula-enterprise-cdp-plugin_12.8.1-21063015_amd64.deb
Size: 229318
MD5sum: 442e011f00c68316a1a3a6032eb07440
SHA1: a388040866bd9290f96002229b24328ccd1dcb38
SHA256: 0951950c5bef8f6070403295ed97890cc6c6d6a537cd436bc9c50f260d26b43a
SHA512: b07bd522c6f8acb7e0ea902c0564745d4ac47d7e2267c30f992b0cde29b20d7007940659a5b848528c5c7968e184ad469097c0b7c54f461443fb7786f0ec56a4
Homepage: http://www.baculasystems.com/
Description: Bacula CDP plugin
Bacula is a set of programs to manage backup, recovery and verification of
data across a network of computers of different kinds.
.
Bacula CDP plugin allows you to perform continuous data protection
.
This package provides the Bacula CDP plugin

Repo-config in Foreman:

No idea what might be wrong in my config and if this is Katello or Pulp3 related.

Thanks in advance for any help/feedback.

Expected outcome:
Synced product

Foreman and Proxy versions:
Foreman 2.4
Katello 4.0
Pulp3

Foreman and Proxy plugin versions:

Distribution and version:
CentOS Linux release 8.3.2011

Other relevant data:
Error-output:
{“pulp_tasks”=>
[{“pulp_href”=>"/pulp/api/v3/tasks/2ef31413-5367-4493-b5d9-e436e01c7986/",
“pulp_created”=>“2021-08-20T06:34:49.418+00:00”,
“state”=>“failed”,
“name”=>“pulp_deb.app.tasks.synchronizing.synchronize”,
“logging_cid”=>“94de69d0c62d4f9985de1b5fab04de01”,
“started_at”=>“2021-08-20T06:34:49.510+00:00”,
“finished_at”=>“2021-08-20T06:34:52.875+00:00”,
“error”=>
{“traceback”=>
" File “/usr/lib/python3.6/site-packages/rq/worker.py”, line 975, in perform_job\n" +
" rv = job.perform()\n" +
" File “/usr/lib/python3.6/site-packages/rq/job.py”, line 696, in perform\n" +
" self._result = self._execute()\n" +
" File “/usr/lib/python3.6/site-packages/rq/job.py”, line 719, in _execute\n" +
" return self.func(*self.args, **self.kwargs)\n" +
" File “/usr/lib/python3.6/site-packages/pulp_deb/app/tasks/synchronizing.py”, line 106, in synchronize\n" +
" DebDeclarativeVersion(first_stage, repository, mirror=mirror).create()\n" +
" File “/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/declarative_version.py”, line 148, in create\n" +
" loop.run_until_complete(pipeline)\n" +
" File “/usr/lib64/python3.6/asyncio/base_events.py”, line 484, in run_until_complete\n" +
" return future.result()\n" +
" File “/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/api.py”, line 225, in create_pipeline\n" +
" await asyncio.gather(*futures)\n" +
" File “/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/api.py”, line 43, in call\n" +
" await self.run()\n" +
" File “/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/content_stages.py”, line 95, in run\n" +
" d_content.content.save()\n" +
" File “/usr/lib/python3.6/site-packages/pulpcore/app/models/base.py”, line 115, in save\n" +
" return super().save(*args, **kwargs)\n" +
" File “/usr/lib/python3.6/site-packages/django_lifecycle/mixins.py”, line 129, in save\n" +
" save(*args, **kwargs)\n" +
" File “/usr/lib/python3.6/site-packages/django/db/models/base.py”, line 744, in save\n" +
" force_update=force_update, update_fields=update_fields)\n" +
" File “/usr/lib/python3.6/site-packages/django/db/models/base.py”, line 782, in save_base\n" +
" force_update, using, update_fields,\n" +
" File “/usr/lib/python3.6/site-packages/django/db/models/base.py”, line 873, in _save_table\n" +
" result = self._do_insert(cls._base_manager, using, fields, update_pk, raw)\n" +
" File “/usr/lib/python3.6/site-packages/django/db/models/base.py”, line 911, in _do_insert\n" +
" using=using, raw=raw)\n" +
" File “/usr/lib/python3.6/site-packages/django/db/models/manager.py”, line 82, in manager_method\n" +
" return getattr(self.get_queryset(), name)(*args, **kwargs)\n" +
" File “/usr/lib/python3.6/site-packages/django/db/models/query.py”, line 1186, in _insert\n" +
" return query.get_compiler(using=using).execute_sql(return_id)\n" +
" File “/usr/lib/python3.6/site-packages/django/db/models/sql/compiler.py”, line 1377, in execute_sql\n" +
" cursor.execute(sql, params)\n" +
" File “/usr/lib/python3.6/site-packages/django/db/backends/utils.py”, line 67, in execute\n" +
" return self._execute_with_wrappers(sql, params, many=False, executor=self._execute)\n" +
" File “/usr/lib/python3.6/site-packages/django/db/backends/utils.py”, line 76, in _execute_with_wrappers\n" +
" return executor(sql, params, many, context)\n" +
" File “/usr/lib/python3.6/site-packages/django/db/backends/utils.py”, line 84, in _execute\n" +
" return self.cursor.execute(sql, params)\n" +
" File “/usr/lib/python3.6/site-packages/django/db/utils.py”, line 89, in exit\n" +
" raise dj_exc_value.with_traceback(traceback) from exc_value\n" +
" File “/usr/lib/python3.6/site-packages/django/db/backends/utils.py”, line 84, in _execute\n" +
" return self.cursor.execute(sql, params)\n",
“description”=>“value too long for type character varying(255)\n”},
“worker”=>"/pulp/api/v3/workers/58c17f71-fbcb-4ae9-8020-620b1dcfb826/",
“child_tasks”=>,
“progress_reports”=>
[{“message”=>“Downloading Artifacts”,
“code”=>“downloading.artifacts”,
“state”=>“canceled”,
“done”=>3},
{“message”=>“Update ReleaseFile units”,
“code”=>“update.release_file”,
“state”=>“canceled”,
“done”=>1},
{“message”=>“Update PackageIndex units”,
“code”=>“update.packageindex”,
“state”=>“canceled”,
“done”=>0},
{“message”=>“Associating Content”,
“code”=>“associating.content”,
“state”=>“canceled”,
“done”=>0},
{“message”=>“Un-Associating Content”,
“code”=>“unassociating.content”,
“state”=>“canceled”,
“done”=>0}],
“created_resources”=>,
“reserved_resources_record”=>
["/pulp/api/v3/repositories/deb/apt/8f074f9c-0df5-4f58-a9a7-883e6dffed49/",
“/pulp/api/v3/remotes/deb/apt/e242ced3-0e4c-4486-a45c-92ca12deeaad/”]}],
“create_version”=>true,
“task_groups”=>,
“poll_attempts”=>{“total”=>6, “failed”=>1}}

Backtrace:
/usr/share/gems/gems/katello-4.0.0/app/lib/actions/pulp3/abstract_async_task.rb:102:in block in check_for_errors' /usr/share/gems/gems/katello-4.0.0/app/lib/actions/pulp3/abstract_async_task.rb:100:in each’
/usr/share/gems/gems/katello-4.0.0/app/lib/actions/pulp3/abstract_async_task.rb:100:in check_for_errors' /usr/share/gems/gems/katello-4.0.0/app/lib/actions/pulp3/abstract_async_task.rb:133:in poll_external_task’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/action/polling.rb:100:in poll_external_task_with_rescue' /usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/action/polling.rb:22:in run’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/action/cancellable.rb:14:in run' /usr/share/gems/gems/katello-4.0.0/app/lib/actions/pulp3/abstract_async_task.rb:10:in run’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/action.rb:571:in block (3 levels) in execute_run' /usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:27:in pass’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware.rb:19:in pass' /usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware.rb:32:in run’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:23:in call' /usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:27:in pass’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware.rb:19:in pass' /usr/share/gems/gems/katello-4.0.0/app/lib/actions/middleware/remote_action.rb:16:in block in run’
/usr/share/gems/gems/katello-4.0.0/app/lib/actions/middleware/remote_action.rb:40:in block in as_remote_user' /usr/share/gems/gems/katello-4.0.0/app/models/katello/concerns/user_extensions.rb:21:in cp_config’
/usr/share/gems/gems/katello-4.0.0/app/lib/actions/middleware/remote_action.rb:27:in as_cp_user' /usr/share/gems/gems/katello-4.0.0/app/lib/actions/middleware/remote_action.rb:39:in as_remote_user’
/usr/share/gems/gems/katello-4.0.0/app/lib/actions/middleware/remote_action.rb:16:in run' /usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:23:in call’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:27:in pass' /usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware.rb:19:in pass’
/usr/share/gems/gems/foreman-tasks-4.0.1/app/lib/actions/middleware/rails_executor_wrap.rb:14:in block in run' /usr/share/gems/gems/activesupport-6.0.3.4/lib/active_support/execution_wrapper.rb:88:in wrap’
/usr/share/gems/gems/foreman-tasks-4.0.1/app/lib/actions/middleware/rails_executor_wrap.rb:13:in run' /usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:23:in call’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:27:in pass' /usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware.rb:19:in pass’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/action/progress.rb:31:in with_progress_calculation' /usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/action/progress.rb:17:in run’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:23:in call' /usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:27:in pass’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware.rb:19:in pass' /usr/share/gems/gems/foreman-tasks-4.0.1/app/lib/actions/middleware/keep_current_request_id.rb:15:in block in run’
/usr/share/gems/gems/foreman-tasks-4.0.1/app/lib/actions/middleware/keep_current_request_id.rb:52:in restore_current_request_id' /usr/share/gems/gems/foreman-tasks-4.0.1/app/lib/actions/middleware/keep_current_request_id.rb:15:in run’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:23:in call' /usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:27:in pass’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware.rb:19:in pass' /usr/share/gems/gems/foreman-tasks-4.0.1/app/lib/actions/middleware/keep_current_timezone.rb:15:in block in run’
/usr/share/gems/gems/foreman-tasks-4.0.1/app/lib/actions/middleware/keep_current_timezone.rb:44:in restore_curent_timezone' /usr/share/gems/gems/foreman-tasks-4.0.1/app/lib/actions/middleware/keep_current_timezone.rb:15:in run’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:23:in call' /usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:27:in pass’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware.rb:19:in pass' /usr/share/gems/gems/foreman-tasks-4.0.1/app/lib/actions/middleware/keep_current_taxonomies.rb:15:in block in run’
/usr/share/gems/gems/foreman-tasks-4.0.1/app/lib/actions/middleware/keep_current_taxonomies.rb:45:in restore_current_taxonomies' /usr/share/gems/gems/foreman-tasks-4.0.1/app/lib/actions/middleware/keep_current_taxonomies.rb:15:in run’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:23:in call' /usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:27:in pass’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware.rb:19:in pass' /usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware.rb:32:in run’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:23:in call' /usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:27:in pass’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware.rb:19:in pass' /usr/share/gems/gems/foreman-tasks-4.0.1/app/lib/actions/middleware/keep_current_user.rb:15:in block in run’
/usr/share/gems/gems/foreman-tasks-4.0.1/app/lib/actions/middleware/keep_current_user.rb:54:in restore_curent_user' /usr/share/gems/gems/foreman-tasks-4.0.1/app/lib/actions/middleware/keep_current_user.rb:15:in run’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/stack.rb:23:in call' /usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/middleware/world.rb:31:in execute’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/action.rb:570:in block (2 levels) in execute_run' /usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/action.rb:569:in catch’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/action.rb:569:in block in execute_run' /usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/action.rb:472:in block in with_error_handling’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/action.rb:472:in catch' /usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/action.rb:472:in with_error_handling’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/action.rb:564:in execute_run' /usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/action.rb:285:in execute’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:18:in block (2 levels) in execute' /usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/execution_plan/steps/abstract.rb:167:in with_meta_calculation’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:17:in block in execute' /usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:32:in open_action’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:16:in execute' /usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/director.rb:93:in execute’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/executors/sidekiq/worker_jobs.rb:11:in block (2 levels) in perform' /usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/executors.rb:18:in run_user_code’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/executors/sidekiq/worker_jobs.rb:9:in block in perform' /usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/executors/sidekiq/worker_jobs.rb:25:in with_telemetry’
/usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/executors/sidekiq/worker_jobs.rb:8:in perform' /usr/share/gems/gems/dynflow-1.4.7/lib/dynflow/executors/sidekiq/serialization.rb:27:in perform’
/usr/share/gems/gems/sidekiq-5.2.7/lib/sidekiq/processor.rb:192:in execute_job' /usr/share/gems/gems/sidekiq-5.2.7/lib/sidekiq/processor.rb:165:in block (2 levels) in process’
/usr/share/gems/gems/sidekiq-5.2.7/lib/sidekiq/middleware/chain.rb:128:in block in invoke' /usr/share/gems/gems/sidekiq-5.2.7/lib/sidekiq/middleware/chain.rb:133:in invoke’
/usr/share/gems/gems/sidekiq-5.2.7/lib/sidekiq/processor.rb:164:in block in process' /usr/share/gems/gems/sidekiq-5.2.7/lib/sidekiq/processor.rb:137:in block (6 levels) in dispatch’
/usr/share/gems/gems/sidekiq-5.2.7/lib/sidekiq/job_retry.rb:109:in local' /usr/share/gems/gems/sidekiq-5.2.7/lib/sidekiq/processor.rb:136:in block (5 levels) in dispatch’
/usr/share/gems/gems/sidekiq-5.2.7/lib/sidekiq.rb:37:in block in <module:Sidekiq>' /usr/share/gems/gems/sidekiq-5.2.7/lib/sidekiq/processor.rb:132:in block (4 levels) in dispatch’
/usr/share/gems/gems/sidekiq-5.2.7/lib/sidekiq/processor.rb:250:in stats' /usr/share/gems/gems/sidekiq-5.2.7/lib/sidekiq/processor.rb:127:in block (3 levels) in dispatch’
/usr/share/gems/gems/sidekiq-5.2.7/lib/sidekiq/job_logger.rb:8:in call' /usr/share/gems/gems/sidekiq-5.2.7/lib/sidekiq/processor.rb:126:in block (2 levels) in dispatch’
/usr/share/gems/gems/sidekiq-5.2.7/lib/sidekiq/job_retry.rb:74:in global' /usr/share/gems/gems/sidekiq-5.2.7/lib/sidekiq/processor.rb:125:in block in dispatch’
/usr/share/gems/gems/sidekiq-5.2.7/lib/sidekiq/logging.rb:48:in with_context' /usr/share/gems/gems/sidekiq-5.2.7/lib/sidekiq/logging.rb:42:in with_job_hash_context’
/usr/share/gems/gems/sidekiq-5.2.7/lib/sidekiq/processor.rb:124:in dispatch' /usr/share/gems/gems/sidekiq-5.2.7/lib/sidekiq/processor.rb:163:in process’
/usr/share/gems/gems/sidekiq-5.2.7/lib/sidekiq/processor.rb:83:in process_one' /usr/share/gems/gems/sidekiq-5.2.7/lib/sidekiq/processor.rb:71:in run’
/usr/share/gems/gems/sidekiq-5.2.7/lib/sidekiq/util.rb:16:in watchdog' /usr/share/gems/gems/sidekiq-5.2.7/lib/sidekiq/util.rb:25:in block in safe_thread’
/usr/share/gems/gems/logging-2.3.0/lib/logging/diagnostic_context.rb:474:in `block in create_with_logging_context’

Hi @langesmalle , thanks for posting the info.

Could you please provide the stack trace related to Katello::Errors::Pulp3Error: value too long for type character varying(255)? The stack trace where you saw this error message was thrown out.

Thanks.

Hi @lfu ,
Isn’t that the backtrace I provided in my post at the bottom?

Can you also provide the related journalctl entry related to this trace? It may have a better description for the actual column thats bad.

Opened an issue here: Issue #9277: Katello::Errors::Pulp3Error: value too long for type character varying(255) - Pulp

@Partha_Aji , @lfu ,

Thanks for your feedback.
While syncing the repo again and following up journalctl I saw the repo is missing the InRelease file:

pulp [9a9d57893a184a3b9e0094b16eac81d5]: backoff:ERROR: Giving up _run(…) after 1 tries (aiohttp.client_exceptions.ClientResponseError: 404, message=‘Not Found’, url=URL(‘https://www.baculasystems.com/dl/< user >-< password >/debs/bin/12.8.1/focal-64/dists/focal/InRelease’)).

Rest of the journalctl output:

Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: pulp [9a9d57893a184a3b9e0094b16eac81d5]: pulp_deb.app.tasks.synchronizing:INFO: Artifact not found. Ignored
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: pulp [9a9d57893a184a3b9e0094b16eac81d5]: rq.worker:ERROR: Traceback (most recent call last):
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/django/db/backends/utils.py”, line 84, in _execute
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: return self.cursor.execute(sql, params)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: psycopg2.errors.StringDataRightTruncation: value too long for type character varying(255)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: The above exception was the direct cause of the following exception:
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: Traceback (most recent call last):
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/rq/worker.py”, line 975, in perform_job
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: rv = job.perform()
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/rq/job.py”, line 696, in perform
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: self._result = self._execute()
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/rq/job.py”, line 719, in _execute
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: return self.func(*self.args, **self.kwargs)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/pulp_deb/app/tasks/synchronizing.py”, line 106, in synchronize
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: DebDeclarativeVersion(first_stage, repository, mirror=mirror).create()
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/declarative_version.py”, line 148, in create
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: loop.run_until_complete(pipeline)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib64/python3.6/asyncio/base_events.py”, line 484, in run_until_complete
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: return future.result()
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/api.py”, line 225, in create_pipeline
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: await asyncio.gather(*futures)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/api.py”, line 43, in call
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: await self.run()
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/content_stages.py”, line 95, in run
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: d_content.content.save()
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/pulpcore/app/models/base.py”, line 115, in save
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: return super().save(*args, **kwargs)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/django_lifecycle/mixins.py”, line 129, in save
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: save(*args, **kwargs)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/django/db/models/base.py”, line 744, in save
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: force_update=force_update, update_fields=update_fields)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/django/db/models/base.py”, line 782, in save_base
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: force_update, using, update_fields,
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/django/db/models/base.py”, line 873, in _save_table
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: result = self._do_insert(cls._base_manager, using, fields, update_pk, raw)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/django/db/models/base.py”, line 911, in _do_insert
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: using=using, raw=raw)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/django/db/models/manager.py”, line 82, in manager_method
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: return getattr(self.get_queryset(), name)(*args, **kwargs)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/django/db/models/query.py”, line 1186, in _insert
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: return query.get_compiler(using=using).execute_sql(return_id)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/django/db/models/sql/compiler.py”, line 1377, in execute_sql
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: cursor.execute(sql, params)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/django/db/backends/utils.py”, line 67, in execute
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: return self._execute_with_wrappers(sql, params, many=False, executor=self._execute)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/django/db/backends/utils.py”, line 76, in _execute_with_wrappers
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: return executor(sql, params, many, context)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/django/db/backends/utils.py”, line 84, in _execute
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: return self.cursor.execute(sql, params)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/django/db/utils.py”, line 89, in exit
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: raise dj_exc_value.with_traceback(traceback) from exc_value
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/django/db/backends/utils.py”, line 84, in _execute
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: return self.cursor.execute(sql, params)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: django.db.utils.DataError: value too long for type character varying(255)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: Traceback (most recent call last):
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/django/db/backends/utils.py”, line 84, in _execute
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: return self.cursor.execute(sql, params)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: psycopg2.errors.StringDataRightTruncation: value too long for type character varying(255)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: The above exception was the direct cause of the following exception:
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: Traceback (most recent call last):
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/rq/worker.py”, line 975, in perform_job
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: rv = job.perform()
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/rq/job.py”, line 696, in perform
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: self._result = self._execute()
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/rq/job.py”, line 719, in _execute
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: return self.func(*self.args, **self.kwargs)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/pulp_deb/app/tasks/synchronizing.py”, line 106, in synchronize
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: DebDeclarativeVersion(first_stage, repository, mirror=mirror).create()
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/declarative_version.py”, line 148, in create
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: loop.run_until_complete(pipeline)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib64/python3.6/asyncio/base_events.py”, line 484, in run_until_complete
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: return future.result()
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/api.py”, line 225, in create_pipeline
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: await asyncio.gather(*futures)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/api.py”, line 43, in call
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: await self.run()
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/content_stages.py”, line 95, in run
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: d_content.content.save()
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/pulpcore/app/models/base.py”, line 115, in save
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: return super().save(*args, **kwargs)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/django_lifecycle/mixins.py”, line 129, in save
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: save(*args, **kwargs)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/django/db/models/base.py”, line 744, in save
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: force_update=force_update, update_fields=update_fields)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/django/db/models/base.py”, line 782, in save_base
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: force_update, using, update_fields,
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/django/db/models/base.py”, line 873, in _save_table
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: result = self._do_insert(cls._base_manager, using, fields, update_pk, raw)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/django/db/models/base.py”, line 911, in _do_insert
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: using=using, raw=raw)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/django/db/models/manager.py”, line 82, in manager_method
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: return getattr(self.get_queryset(), name)(*args, **kwargs)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/django/db/models/query.py”, line 1186, in _insert
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: return query.get_compiler(using=using).execute_sql(return_id)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/django/db/models/sql/compiler.py”, line 1377, in execute_sql
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: cursor.execute(sql, params)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/django/db/backends/utils.py”, line 67, in execute
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: return self._execute_with_wrappers(sql, params, many=False, executor=self._execute)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/django/db/backends/utils.py”, line 76, in _execute_with_wrappers
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: return executor(sql, params, many, context)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/django/db/backends/utils.py”, line 84, in _execute
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: return self.cursor.execute(sql, params)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/django/db/utils.py”, line 89, in exit
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: raise dj_exc_value.with_traceback(traceback) from exc_value
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: File “/usr/lib/python3.6/site-packages/django/db/backends/utils.py”, line 84, in _execute
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: return self.cursor.execute(sql, params)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: django.db.utils.DataError: value too long for type character varying(255)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-api[1827478]: pulp [None]: django_guid:INFO: Header Correlation-ID was not found in the incoming request. Generated new GUID: 2638497e406f435592361999a34bf5ff
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: pulp [None]: rq.worker:INFO: 1828318@dc1-bootstrap1.cumuli.be: ccd3d5b4-381e-4c01-a6da-842d6e305139
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-api[1827478]: - - [24/Aug/2021:06:45:17 +0000] “GET /pulp/api/v3/tasks/9530a9b4-25be-44dc-8385-b8a9c363dc15/ HTTP/1.1” 200 4628 “-” “OpenAPI-Generator/3.9.0/ruby”
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-worker-6[1828318]: pulp [None]: rq.worker:INFO: 1828318@dc1-bootstrap1.cumuli.be: Job OK (ccd3d5b4-381e-4c01-a6da-842d6e305139)
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-api[1827478]: pulp [None]: django_guid:INFO: Header Correlation-ID was not found in the incoming request. Generated new GUID: afe1e84ba22e4e6fb27ef24cd1d6538e
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-resource-manager[1827479]: pulp [None]: rq.worker:INFO: resource-manager: b9bb4aaf-6e9d-4cb8-b014-fab95acd1a42
Aug 24 08:45:17 dc1-bootstrap1.cumuli.be pulpcore-api[1827478]: - - [24/Aug/2021:06:45:17 +0000] “PATCH /pulp/api/v3/distributions/deb/apt/7b0ea46c-d7eb-4da8-821b-b04f638ee4b4/ HTTP/1.1” 202 67 “-” “OpenAPI-Generator/2.8.0/ruby”
Aug 24 08:45:18 dc1-bootstrap1.cumuli.be pulpcore-api[1827478]: pulp [None]: django_guid:INFO: Header Correlation-ID was not found in the incoming request. Generated new GUID: aee0727952374260b2f72671fbfb6f8d
Aug 24 08:45:18 dc1-bootstrap1.cumuli.be pulpcore-api[1827478]: - - [24/Aug/2021:06:45:18 +0000] “GET /pulp/api/v3/tasks/f75b3e12-e0aa-4cf7-9ef1-90357009302a/ HTTP/1.1” 200 450 “-” “OpenAPI-Generator/3.9.0/ruby”
Aug 24 08:45:18 dc1-bootstrap1.cumuli.be pulpcore-worker-5[1828387]: pulp [None]: rq.worker:INFO: 1828387@dc1-bootstrap1.cumuli.be: f75b3e12-e0aa-4cf7-9ef1-90357009302a
Aug 24 08:45:18 dc1-bootstrap1.cumuli.be pulpcore-resource-manager[1827479]: pulp [afe1e84ba22e4e6fb27ef24cd1d6538e]: rq.worker:INFO: resource-manager: Job OK (b9bb4aaf-6e9d-4cb8-b014-fab95acd1a42)
Aug 24 08:45:18 dc1-bootstrap1.cumuli.be pulpcore-worker-5[1828387]: pulp [afe1e84ba22e4e6fb27ef24cd1d6538e]: rq.worker:INFO: 1828387@dc1-bootstrap1.cumuli.be: Job OK (f75b3e12-e0aa-4cf7-9ef1-90357009302a)
Aug 24 08:45:18 dc1-bootstrap1.cumuli.be pulpcore-worker-5[1828387]: pulp [None]: rq.worker:INFO: 1828387@dc1-bootstrap1.cumuli.be: 4be97562-6916-430c-88fb-1abdf77645c8
Aug 24 08:45:18 dc1-bootstrap1.cumuli.be pulpcore-worker-5[1828387]: pulp [None]: rq.worker:INFO: 1828387@dc1-bootstrap1.cumuli.be: Job OK (4be97562-6916-430c-88fb-1abdf77645c8)
Aug 24 08:45:18 dc1-bootstrap1.cumuli.be pulpcore-api[1827478]: pulp [None]: django_guid:INFO: Header Correlation-ID was not found in the incoming request. Generated new GUID: 4575ad48296b44dd9bf2dc3b3a928fe5
Aug 24 08:45:18 dc1-bootstrap1.cumuli.be pulpcore-api[1827478]: - - [24/Aug/2021:06:45:18 +0000] “GET /pulp/api/v3/tasks/f75b3e12-e0aa-4cf7-9ef1-90357009302a/ HTTP/1.1” 200 558 “-” “OpenAPI-Generator/3.9.0/ruby”

The problem of the missing file has been passed on to Bacula and hope they will fix it soon and that this would fix the problem.

Maybe the error-handling in Foreman/Katello/Pulp should be changed so it provides a more specific error.

Glad you figured it out.

For now I will leave the pulp issue open so the pulp team may decide if it’s possible to use it for a better error handling as you suggested.

Thanks.

2 Likes

Hi @lfu , @Partha_Aji
Bacula systems do not provide the InRelease file in their repos, only the Release and Release.gpg files which should be enough to sync the product-repo.

They claim the following:

“Foreman/Pulp has many options. Please configure Foreman/Pulp to use the Release file and the Release.gpg files. That should make it successful. If you use the options that are successful with other repo like Zabbix, it does not mean it’s the same option with Bacula Systems repo.”

Is that correct/possible, and if possible, how?

Thanks in advance for your feedback.

Found this post Pulp_deb for pulp3 in Katello in a search.

Hope it can be useful for you.

This error (django.db.utils.DataError: value too long for type character varying(255)) is nothing to do with the missing InRelease file. The missing InRelease file is just a warning. pulp_deb will always try to download InRelease, Release, and Release.gpg. As long as at least one of InRelease and Release is there, the sync can continue.

The error you are getting suggests Pulp is trying to save something longer than 255 characters into a data base field that accepts a maximum of 255 characters. Without access to the upstream repository to test with, I have no real way of finding out what exactly that “something” might be…

P.S.: When posting backtraces please format it as plain text by placing a line of three backticks (```) in front of and behind the paste, makes it much more readable.

I went and had a look at all fields in pulp_deb that have max_length=255 and I don’t think any of them are likely to have caused this sync failure. (Given what I can see from your repo page.) I will ask whether this could be caused by long file names in pulpcore.

@quba42 ,
Thanks for your feedback.
As you don’t have access to the repo, I understand it is not simple to find out what might have caused this problem.

If additional info/test-details are required, please let me know.

If I could have a look at the Release file from /dists/focal/Release, I might be able to do some basic sanity checking. (But more likely the issue is somewhere else.)

@quba42 ,

Here the Release file (.gz).
Hope you can find something, otherwise let me know if I have to check/provide something else.
Thanks in advance.

Release.gz (10.6 KB)

Ok, I know why it does not work. This repository contains uncharacteristically many components, and the components field in pulp_deb is limited to a max_length=255.

I will work on a fix under this ticket: Issue #9277: Katello::Errors::Pulp3Error: value too long for type character varying(255) - Debian Support - Pulp

Until there is a fix, you may be able to work around the problem, by filtering your Katello repo for just some of the components. (I am not certain this will work, but it might).

You could then sync the remaining components into a separate Repo, and include both repos on your hosts.

One of the repos might sync the following comonents:

Components: main mysql postgresql ldap cloud-s3 cloud-glacier cloud-azure cloud-google cloud-oracle shstore delta ndmp vsphere demo demo-support bweb netapp-hfc html-manuals kvm

The other one might sync:

Components:  snapshot dedup aligned single-item-restore sybase kubernetes docker rhv db2 xenserver hdfs m365

@quba42 ,
Thnx, I will give it a try and keep you informed about the result.

@quba42 ,

As the available repo only contains the “main” component I only configured this one in the repo.
But it still fails with the same warning/error:

“value too long for type character varying(255)”

In that case it is probably still trying to save the full list from the upstream release file to some length limited field somewhere. In that case there is no workaround, other than to wait for a fix. :slightly_frowning_face:

No problem, anyway thanks for having a look at it.
Will follow up the issue you have created.
Hope I would be able to apply the fix in the code of our current version of Foreman/Katello/Pulp, as we, due to upcoming new systems to be provisioned, don’t have the time to upgrade to the latest version.

@quba42 ,

Just checked the Release file, and only the 3the line (list of all components) contains more than 255 characters, more specific 273.